#include <bits/stdc++.h>
using namespace std;
const int MOD = 998244353;

vector<int> left_min(vector<int>& a) {    // Гистограмма левый минимум
    stack<int> st;
    size_t n = a.size();
    vector<int> ans(n);  // храним индексы
    for (size_t i = 0; i < n; ++i) {
        while(!st.empty() and a[st.top()] > a[i]) {
            st.pop();
        }
        if (st.empty()) {
            ans[i] = -1;
        }
        else {
            ans[i] = st.top();
        }
    }
    return ans;

}
vector<int> min_k(vector<int>& a, size_t n, int k) {
    vector<int> ans;
    deque<int> dq;
    for (size_t i = 0; i < n; ++i) {
        while(!dq.empty() and a[dq.back()] >= a[i]) {
            dq.pop_back();
        }
        dq.push_back(i);
        if (dq.front() <= i - k) {
            dq.pop_front();
        }
        if ((i >= k - 1)){
            ans.push_back(a[dq.front()]);
        }
    }
    return ans;
}
vector<int> right_min(vector<int>& a) {
    stack<int> st;
    size_t n = a.size();
    vector<int> ans(n);
    for (int i = n-1; i >= 0; --i) {
        while(!st.empty() and a[st.top()] >= a[i]) {
            st.pop();
        }
        if (st.empty()) {
            ans[i] = n;
        }
        else {
            ans[i] = st.top();
        }
        st.push(i);
    }
    return ans;
}
bool cube(const vector<int>& arr) {
    int sum1 = arr[0] + arr[5]; 
    int sum2 = arr[1] + arr[4];
    int sum3 = arr[2] + arr[3];
    return (sum1 == sum2 and sum2 == sum3);
}
int main() {
    int n;
    cin >> n;
    vector<string> a(n);
    for (int i = 0; i < n; ++i) {
        vector<int> arr(6);
        for (int j = 0; j < 6; ++j) {
            cin >> arr[j];
        }
        sort(arr.begin(), arr.end());
        if (cube(arr)) {
            a[i] = "yes";
        }
        else {
            a[i] = "no";
        }
    }
    for (int i = 0; i < n; ++i) {
        cout << a[i] << endl;
    }
    return 0;
}







